%define 	module	TwistedConch
%define		major	13.0
%define		minor	0

Summary:	Twisted SSHv2 implementation
Summary(pl.UTF-8):	Implementacja SSHv2 dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://twistedmatrix.com/Releases/Conch/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	0d1c4c72302d8af6036cb897438323b7
URL:		http://twistedmatrix.com/trac/wiki/TwistedConch
BuildRequires:	ZopeInterface
BuildRequires:	python-TwistedCore >= 13.0.0
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	python-TwistedCore >= 13.0.0
Requires:	python-TwistedCore-ssl >= 13.0.0
Obsoletes:	python-Twisted-conch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conch is an SSHv2 implementation using the Twisted framework. It
includes a server, client, a SFTP client, and a key generator.

%description -l pl.UTF-8
Conch jest implementacją SSHv2 wykorzystującą Twisted. Zawiera serwer,
klienta, klienta SFTP i generator kluczy.

%package doc
Summary:	Documentation for TwistedConch
Summary(pl.UTF-8):	Dokumentacja do TwistedConch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for TwistedConch.

%description doc -l pl.UTF-8
Dokumentacja offline do TwistedConch.

%package examples
Summary:	Example programs for TwistedConch
Summary(pl.UTF-8):	Programy przykładowe do TwistedConch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for TwistedConch.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla TwistedConch.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir}/twisted,%{py_sitescriptdir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

install doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%attr(755,root,root) %{_bindir}/*
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif
%{py_sitedir}/twisted/conch
%{py_sitedir}/twisted/plugins/*
%{_mandir}/man1/*.1*

%files doc
%defattr(644,root,root,755)
%doc doc/howto

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Apr 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-TwistedConch.git;a=log;h=master

* Tue Apr 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 230530e
- up to 13.0.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> fd58e01
- BR: rpm-pythonprov

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f12a065
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 104b577
- release 2

* Tue Apr 14 2009 Elan Ruusamäe <glen@pld-linux.org> 2e9396e
- egg-info cond

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> e6cacec
- updated to 8.1.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d7d4d40
- release 2

* Fri May 02 2008 luzik <luzik@pld-linux.org> 4863704
- updated to 8.0.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 812be51
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 36fe1ac
- converted to UTF-8

* Sun Jan 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 6f84d61
- python epoch

* Sat Jan 27 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a5d6043
- up to 0.8.0

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 98fe425
- cp -a implies cp -r

* Wed Jun 07 2006 Artur Frysiak <artur@frysiak.net> 7a17dca
- use %%py_postclean

* Wed Jun 07 2006 Artur Frysiak <artur@frysiak.net> c5f472b
- redefine purelib location like in TwistedCore

* Sat Jun 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 95ec47b
- Obsoletes: python-Twisted-conch

* Fri Jun 02 2006 Artur Frysiak <artur@frysiak.net> cfb42da
- BR: TwistedCore

* Fri Jun 02 2006 Artur Frysiak <artur@frysiak.net> d1b5d31
- updated to 0.7.0

* Thu Sep 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 9d2463f
- doc/examples descs fix

* Tue Sep 13 2005 Michal Chruszcz <mchruszcz@gmail.com> 0607569
- added symlink in %%{py_sitedir} for successful module lookups

